
import com.ms.dll.DllLib;
import com.ms.win32.*;


public class JavaDLL
{

    public static void main(String args[])
    {
        MEMORYSTATUS mstatus = new MEMORYSTATUS();
		String cadena;

		cadena = "Memoria disponible: " + Integer.toHexString(mstatus.dwTotalPhys);
        GlobalMemoryStatus(mstatus);

		try {

            User32.MessageBox(0, "Memoria disponible: " + mstatus.dwAvailPhys, "Curso VJ++ / HISPAN TECNOLOGIC", 0);

        } catch (UnsatisfiedLinkError ule) {
            System.err.println("Se ha detectado una excepcin: " + ule);
            System.err.println("No tienes instalado J/Direct!.");
        }
    }


    /** @dll.import("KERNEL32") */
    static native void GlobalMemoryStatus(MEMORYSTATUS lptMemStat);
}


/** @dll.struct() */
class MEMORYSTATUS {

    public int dwLength = DllLib.sizeOf(MEMORYSTATUS.class);
    public int dwMemoryLoad;
    public int dwTotalPhys;
    public int dwAvailPhys;
    public int dwTotalPageFile;
    public int dwAvailPageFile;
    public int dwTotalVirtual;
    public int dwAvailVirtual;


}
